GET /api/v1/profile/{dataModelName}/{Id}/{childDataModelName}
Returns data model objects and child objects based on indexes and search filters.
Syntax
- HTTP method
- GET
- Availability
- Customer 360 Audiences v1.0, Salesforce v51.0
- Formats
- REST
- URI
- /api/v1/profile/{dataModelName}/{Id}/{childDataModelName}
Request Parameters
| Field Name | Field Type | Description |
|---|---|---|
| dataModelName | string | Required. Data model object API name. Example: UnifiedIndividual__dlm |
| id | string | Required. The value of an indexed column. |
| childDataModelName | string | Required. Child data model object API name. Example: UnifiedContactPointEmail__dlm |
| searchKey | string | Index name if object's ID is different from primary key. Example: FirstName__c |
| fields | string | Comma separated name of the fields to be part of result from the child entity. Not specifying will give the first 10 alphabetically sorted fields. Example: Id__c,EmailAddress__c |
| limit | int | The numbers of items to return. Example: 10 |
| filters | string | Filters are applied only on the parent object. Example: [FirstName__c=Mary] |
Examples
- Request
-
- Response
-
HTTP Responses
| Response | Reason |
|---|---|
| 200 OK | Callback successfully verified |
| 400 Bad Request | Invalid request |
| 403 Forbidden | Failed to pass authorization. |
| 404 Not Found | Incorrect callback ID, verification key, or both. |
| 422 Unprocessable Entity | Attribute name used in fields/filter parameter does not exist. |
| 500 Server Error | Internal error |